import Interaction from "./Interaction";
import Question from "./Question";

export default class Answer implements Interaction {
    public question: Question;
    public value: boolean;

    constructor(question: Question, value: boolean) {
        this.question = question;
        this.value = value;
    }

    public getLabel(): string {
        return this.question.text;
    }

    public toString(): string {
        return `${this.question.text}?${this.value}`;
    }

}
